{
    "name": "client",
    "version": "0.1.0",
    "private": true,
    "dependencies": {
        "@apollo/client": "^3.3.7",
        "@date-io/date-fns": "^1.3.13",
        "@material-ui/core": "^4.11.2",
        "@material-ui/icons": "^4.11.2",
        "@material-ui/lab": "^4.0.0-alpha.57",
        "@material-ui/pickers": "^3.2.10",
        "@reduxjs/toolkit": "^1.5.0",
        "@testing-library/jest-dom": "^5.11.4",
        "@testing-library/react": "^11.1.0",
        "@testing-library/react-hooks": "^5.0.2",
        "@testing-library/user-event": "^12.1.10",
        "@types/apollo-upload-client": "^14.1.0",
        "@types/axios": "^0.14.0",
        "@types/jest": "^26.0.15",
        "@types/material-ui": "^0.21.8",
        "@types/node": "^12.0.0",
        "@types/react": "^16.9.53",
        "@types/react-dom": "^16.9.8",
        "@types/react-dropzone": "^5.1.0",
        "@types/react-redux": "^7.1.15",
        "@types/react-router-dom": "^5.1.7",
        "@types/react-select": "^4.0.13",
        "@types/styled-components": "^5.1.7",
        "apollo-upload-client": "^14.1.3",
        "axios": "^0.21.1",
        "date-fns": "^2.17.0",
        "graphql": "^15.4.0",
        "jwt-decode": "^3.1.2",
        "react": "^17.0.1",
        "react-dom": "^17.0.1",
        "react-dropzone": "^11.3.1",
        "react-hook-form": "^6.14.2",
        "react-redux": "^7.2.2",
        "react-router-dom": "^5.2.0",
        "react-scripts": "4.0.1",
        "react-select": "^4.1.0",
        "react-select-event": "^5.2.0",
        "redux": "^4.0.5",
        "styled-components": "^5.2.1",
        "typescript": "^4.0.3",
        "web-vitals": "^0.2.4"
    },
    "scripts": {
        "start": "react-scripts start",
        "build": "react-scripts build",
        "test": "react-scripts test --watchAll=false",
        "test:coverage": "react-scripts test --coverage --watchAll=false",
        "eject": "react-scripts eject",
        "lint": "eslint",
        "prettier:check": "prettier --check 'src/**/*.{js,jsx,json,ts,tsx}'",
        "prettier:write": "prettier --write 'src/**/*.{js,jsx,json,ts,tsx}'"
    },
    "eslintConfig": {
        "extends": [
            "react-app",
            "react-app/jest"
        ]
    },
    "browserslist": {
        "production": [
            ">0.2%",
            "not dead",
            "not op_mini all"
        ],
        "development": [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
        ]
    },
    "devDependencies": {
        "@testing-library/react-hooks": "^5.0.2",
        "react-test-renderer": "^17.0.1"
    },
    "jest": {
        "collectCoverageFrom": [
            "src/**/*.{js,jsx,ts,tsx}",
            "!src/index.tsx",
            "!src/gql/*.ts",
            "!src/ducks/counterSlice.ts",
            "!src/app/client.ts",
            "!src/hooks/useFetchImages.tsx",
            "!/node_modules/",
            "!src/registerServiceWorker.ts",
            "!src/reportWebVitals.ts"
        ]
    }
}
